# csl_cpIntc.h File Reference

This is the main header file for the CPINTC Module which defines all the data structures and exported API. More...

`#include <ti/csl/soc.h>`
`#include <ti/csl/csl.h>`
`#include <ti/csl/cslr_cpintc.h>`

## Typedefs
typedef volatile CSL_CPINTCRegs * | CSL_CPINTC_RegsOvly
| Register Overlay Memory map for the CPINTC0 Registers.
typedef Uint32 | CSL_CPINTC_Handle
| This is the handle to the CPINTC instance.
typedef Uint32 | CSL_CPINTCSystemInterrupt
| This defines the system interrupt.
typedef Uint32 | CSL_CPINTCHostInterrupt
| This defines the host interrupt.
typedef Uint32 | CSL_CPINTCChannel
| This defines the channels.
typedef Uint16 | CSL_CPINTCNestingLevel
| This defines the nesting level.
typedef enum CSL_CPINTCNestingMode | CSL_CPINTCNestingMode
| Enumeration defines the type of Nesting Modes which is supported by the CPINTC.
## Enumerations
enum | CSL_CPINTCNestingMode
| Enumeration defines the type of Nesting Modes which is supported by the CPINTC.
## Functions
CSL_CPINTC_Handle | CSL_CPINTC_open (Int32 instNum)

## Detailed Description

This is the main header file for the CPINTC Module which defines all the data structures and exported API.

  ============================================================================
  (C) Copyright 2008, 2009, Texas Instruments, Inc.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Function Documentation

CSL_CPINTC_Handle CSL_CPINTC_open | ( | Int32 | instNum | ) |

============================================================================
CSL_CPINTC_open

Description
This API opens the interrupt controller instance. This should always be the first call to the CSL CPINTC Functional layer. The handle which is returned from this call should be passed in all subsequent CSL API's.

Return Value
CSL_CPINTC_HANDLE - Handle to the CPINTC Module
0 - Error.

Pre Condition
None

Post Condition
None

Affects
None.

Example

            CSL_CPINTC_HANDLE   hnd;
            ...
            hnd = CSL_CPINTC_open (0);    // Opens CPINTC Instance 0
            ...

===========================================================================

Copyright 2012, Texas Instruments Incorporated